Skip to main content
GET
/
{org}
/
{repo}
/
changes
List changes
curl --request GET \
  --url https://api.mesa.dev/v1/{org}/{repo}/changes \
  --header 'Authorization: Bearer <token>'
{
  "next_cursor": "<string>",
  "has_more": true,
  "changes": [
    {
      "id": "<string>",
      "current_commit_oid": "<string>",
      "message": "<string>",
      "author": {
        "name": "<string>",
        "email": "jsmith@example.com",
        "date": "2023-11-07T05:31:56Z"
      },
      "committer": {
        "name": "<string>",
        "email": "jsmith@example.com",
        "date": "2023-11-07T05:31:56Z"
      },
      "parents": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}
Required scope: read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Organization slug

Minimum string length: 1
repo
string
required

Repository name

Minimum string length: 1

Query Parameters

cursor
string

Opaque pagination cursor from a previous response

limit
integer

Maximum number of items to return (max 100)

Required range: 1 <= x <= 100
bookmark
string

Response

Change list

next_cursor
string | null
required

Cursor for the next page, or null when no more results remain

has_more
boolean
required

Whether another page of results is available

changes
object[]
required